Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Interface idlInterface

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlInterface

public interface idlInterface
extends idlObject

This interface is implemented by the IDL object that represents an IDL interface.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlObject` | `description()` Return the interface description
`idlInterface[]` | `inheritance()` Return the inheritance list
`boolean` | `isAbstract()` Return TRUE if this interface is abstract
`boolean` | `isForward()` Return TRUE is this interface is forward
`boolean` | `isLocal()` Return TRUE if this interface is local

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isAbstract

    public boolean isAbstract()

  Return TRUE if this interface is abstract

### isLocal

    public boolean isLocal()

  Return TRUE if this interface is local

### isForward

    public boolean isForward()

  Return TRUE is this interface is forward

### description

    public idlObject description()

  Return the interface description

### inheritance

    public idlInterface[] inheritance()

  Return the inheritance list

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD